Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class StringDocumentData

    java.lang.Object
      |
      +--com.bea.document.DocumentData
            |
            +--com.bea.document.StringDocumentData

public class StringDocumentData
extends DocumentData

Represents a string value within a DOM tree. Objects of this class may be returned by IDocument.getDocumentData() or may be created for use in IDocument.addDocumentData(String, DocumentData). Objects of this type result from an expression in the XPath string passed to IDocument.getDocumentData() which refers to an element or attribute with a string type.
For example, the string "string(//rootElement/@myAttr)" will return a StringDocumentData object. If the XPath refers to non-existent nodes, the result is an empty string.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  IDocument.getDocumentData(String), IDocument.addDocumentData(String, DocumentData)

Fields inherited from class com.bea.document.DocumentData
`m_xobj, TYPE_BOOLEAN, TYPE_NODESET, TYPE_NULL, TYPE_NUMBER, TYPE_RTREEFRAG, TYPE_STRING, TYPE_UNKNOWN`

Constructor Summary
`StringDocumentData(java.lang.String value)`

Methods inherited from class com.bea.document.DocumentData
`createDocumentData, dump, dump, equals, getType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, toBoolean, toNodeIterator, toNodeSet, toNumber, toObject, toRtree, toStr, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDocumentData

    public StringDocumentData(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)